## org.w3c.css.sac
Interface ConditionalSelector

All Superinterfaces:
  Selector, SimpleSelector

All Known Implementing Classes:
  CSSConditionalSelector, DefaultConditionalSelector

public interface ConditionalSelector
extends SimpleSelector

See Also:
  `Selector.SAC_CONDITIONAL_SELECTOR`

Field Summary

Fields inherited from interface org.w3c.css.sac.Selector
`SAC_ANY_NODE_SELECTOR, SAC_CDATA_SECTION_NODE_SELECTOR, SAC_CHILD_SELECTOR, SAC_COMMENT_NODE_SELECTOR, SAC_CONDITIONAL_SELECTOR, SAC_DESCENDANT_SELECTOR, SAC_DIRECT_ADJACENT_SELECTOR, SAC_ELEMENT_NODE_SELECTOR, SAC_NEGATIVE_SELECTOR, SAC_PROCESSING_INSTRUCTION_NODE_SELECTOR, SAC_PSEUDO_ELEMENT_SELECTOR, SAC_ROOT_NODE_SELECTOR, SAC_TEXT_NODE_SELECTOR`

Method Summary
`Condition` `getCondition()` Returns the condition to be applied on the simple selector.
`SimpleSelector` `getSimpleSelector()` Returns the simple selector.

Methods inherited from interface org.w3c.css.sac.Selector
`getSelectorType`

Method Detail

### getSimpleSelector

    public SimpleSelector getSimpleSelector()

  Returns the simple selector.

  The simple selector can't be a `ConditionalSelector`.

### getCondition

    public Condition getCondition()

  Returns the condition to be applied on the simple selector.

Copyright © 2004 Apache Software Foundation. All Rights Reserved.